Bug 238311 - "Can't have a partition outside the disk" on windows disk
"Can't have a partition outside the disk" on windows disk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
9
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 00:40 EDT by Nick Sharp
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Sharp 2007-04-29 00:40:27 EDT
Description of problem: Activity was to install Fedora 7t4 x86_64 (or i386 32 -
same problem) on external Maxtor USB 465Gb drive attached to Dell 9150 2Gb RAM
Raid1:2x235Gb SATA loaded with Windo$e MCE, which is to be kept (no accounting
for taste is there).  I knew a mkinitrd was needed after install and before USB
reboot, but the post install boot failed anyway.


Version-Release number of selected component (if applicable):Anaconda F7t4


How reproducible: 100%


Steps to Reproduce:
1.Boot from network and FTP install f7t4 in the usual way
2.mkinitrd to tweak the init file to load USB drivers at correct time
3.Reboot from USB: fails..
  
Actual results:
	Can't have a partition outside the disk!
	Unable to access resume device (LABEL=SWAP-sdc2)
followed by several more consequential errors and a final kernel panic and freeze.

Expected results: Good boot.


Additional info: I dismantled the initrd (gunzip, cpio -i) and realised the boot
was failing at the end of these nash lines:
	rmparts sdb
	rmparts sda
	dm create isw_bgddbdcicc_ARRAY 0 488275968 mirror core 2 131072 nosync 2 8:0 0
8:16 0
	dm partad isw_bgddbdcicc_ARRAY
I hashed out those 4 lines and altered sdc references to the USB drive to sda,
did cpio -o and gzip to reassmble the initrd, and rebooted OK.  Fun learning!

Using fdisk and parted (below), I could not see any apparent faults in the
partitioning that Windows had done, so I saw no grounds for the "Can't..."
message, which had immediately followed:
	device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
presumably in response to the above two dm commands.

(parted) print
Model: ATA WDC WD2500JS-75N (scsi)
Disk /dev/sdb: 488281250s
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End         Size        Type     File system  Flags
 1      63s     80324s      80262s      primary  fat16
 2      80325s  488247479s  488167155s  primary  ntfs         boot

/dev/sdc identical

fdisk print:
Disk /dev/sdb: 250.0 GB, 250000000000 bytes
255 heads, 63 sectors/track, 30394 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1           5       40131   de  Dell Utility
/dev/sdb2   *           6       30392   244083577+   7  HPFS/NTFS

/dev/sdc identical

More needed?  Please ask.
Comment 1 Nick Sharp 2007-04-30 18:09:01 EDT
katzj removed component 'anaconda' and added instead 'parted'
I am just wondering; is that because the seemingly failing nash line (dm: aka
device-mapper?) is quitely invoking parted to do some or all of its work?
Of course, it is possible that the Windo$e install DID make a hidden mess of the
partition table, and parted is spotting that.  I am ready to try any
non-destructive tests.
Comment 2 Nick Sharp 2007-06-03 17:11:46 EDT
I loaded Fedora 7 final release on the USB external drive, and found that the
ONLY problem with booting it was this bug.  It seems (:-)) that the installer is
now installing all relevant kernel modules to boot from USB.

I am happy to try and do any suggested diagnostics to help determine why the
installer seems to be setting the dm command to a wrong value.

I would also be pleased to learn more about the nash interpreter.  It's MAN page
does not cover either the rmparts or the dm commands which are relevant to this
bug.  I cannot find nash's source anywhere, not that I would necessarily have
any skills to read it!
Comment 3 David Cantrell 2008-02-05 22:21:27 EST
So partitioning and installing to the disk is working as of Fedora 7 for you? 
If so, I think this is now a mkinitrd bug (the component that has nash).
Comment 4 Bug Zapper 2008-05-13 22:49:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brennan Ashton 2008-06-07 20:40:07 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.